The BOOST_PP_WSTRINGIZE macro wide stringizes its argument after it has been expanded.

#### Usage

BOOST_PP_WSTRINGIZE(text)

#### Arguments

text
  The text to be converted to a wide string literal.

#### Remarks

The preprocessor stringizing operator (#) prevents arguments from expanding. This macro allows its argument to expand before it is stringized.

#### Requirements

Header: <boost/preprocessor/wstringize.hpp>

#### Sample Code

    #include <boost/preprocessor/wstringize.hpp>

    BOOST_PP_WSTRINGIZE(some text) // expands to L"some text"

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)